> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getnimbus.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get investment vaults



## OpenAPI

````yaml /api-reference/openapi.json get /v2/farming/vaults
openapi: 3.0.0
info:
  title: Nimbus API
  version: 1.0.0
  description: >-
    API for Nimbus


    ## Rate Limiting

    This API implements rate limiting to ensure fair usage and protect our
    services. The current rate limit is:


    - **40 requests per 1 minute** per IP address


    If you exceed this limit, you will receive a 429 (Too Many Requests)
    response. Please wait for the rate limit window to reset before making
    additional requests.


    If you need more, please contact us at **thanhle@getnimbus.io** or TG
    **@thanhle27** to get premium API Key.
servers:
  - url: https://api.getnimbus.io
    description: API server
security: []
tags: []
paths:
  /v2/farming/vaults:
    get:
      tags:
        - Farming
      summary: Get investment vaults
      parameters:
        - in: query
          name: address
          schema:
            type: string
          example: 0x2::sui::SUI
          description: >-
            Query pools/vaults involve with token address (optional, default is
            "")
        - in: query
          name: chain
          schema:
            type: string
            enum:
              - SUI
              - TON
              - SOL
              - ECLIPSE
            default: SUI
          required: true
          description: Query chain
        - in: query
          name: tvl
          schema:
            type: string
            enum:
              - < 100K
              - 100K - 500K
              - 500K - 1M
              - '> 1M'
          description: filter total value locked (optional, default is "")
        - in: query
          name: apr
          schema:
            type: string
            enum:
              - < 5%
              - 5% - 25%
              - 25% - 50%
              - '> 50%'
          description: filter apy (optional, default is "")
        - in: query
          name: protocol
          schema:
            type: string
          description: filter protocol (optional, default is "")
        - in: query
          name: type
          schema:
            type: string
            enum:
              - LP
              - VAULT
              - STAKING
              - LENDING
              - BORROW
          description: filter type (optional, default is "")
        - in: query
          name: tags
          schema:
            type: array
            items:
              type: string
              enum:
                - stable_yield
                - low_risk
                - high_risk_high_return
                - airdrop
          description: filter tags (optional, default is empty)
        - in: query
          name: order
          schema:
            type: string
            default: tvl
          description: The order by (optional, default is "tvl")
        - in: query
          name: sort
          schema:
            type: string
            default: desc
          description: The sort (optional, default is "desc")
        - in: query
          name: limit
          schema:
            type: number
            default: 100
          description: The limit (optional, default is 100)
        - in: query
          name: offset
          schema:
            type: number
            default: 0
          description: The offset (optional, default is 0)
      responses:
        '200':
          description: List of investment vaults
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/DefiVault'
                  pagination:
                    type: object
                    properties:
                      total:
                        type: number
                      limit:
                        type: number
                      offset:
                        type: number
        '400':
          description: Invalid address or other error
        '500':
          description: Server error
components:
  schemas:
    DefiVault:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        chain:
          type: string
        protocol:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
        type:
          type: string
          enum:
            - LP
            - VAULT
            - STAKING
            - LENDING
            - BORROW
        apr:
          type: number
          description: Base APR
        apy:
          type: number
          description: Base APY
        apr_rewards:
          type: number
          description: Bonus APR rewards
        totalApr:
          type: number
          description: Total APR = base_apr + apr_rewards
        totalApy:
          type: number
        tvl:
          type: number
        coins:
          type: array
          items:
            type: string
          description: The list of tokens in pool/vault
        rewards:
          type: object
          properties:
            tokens:
              type: array
              items:
                type: object
                properties:
                  token_address:
                    type: string
                  token_name:
                    type: string
                  token_symbol:
                    type: string
                  logo:
                    type: string
                    nullable: true
              description: The list of reward tokens
        farmLink:
          type: string
        label:
          type: array
          items:
            type: string
        logos:
          type: array
          items:
            type: string
          nullable: true

````